Gemalto is now part of the Thales Group, find out more.

You are here

EHS5-E Firmware update fails | Thales IoT Developer Community

January 12, 2020 - 9:56am, 2755 views

I'm trying to update the EHS5-E firmware to the latest version. I ftp the three files onto the FFS, disable the previous JAR followed by a SFDL=2 command.

After 5 minutes, ATI1 shows that the latest firmware has been loaded.

I try to load the JAD file using the AT^SJAM=0,A:/JRC-1.56.58.jad command and get an error after a timeout of about 30 seconds, error unknown,

When I try to upgrade using the gWinSwup application to perform the same upgrade I get the error message

"ERROR: Installing MIDlet[JRC-1.56.58.jad] fail, check that there is no signature conflict!".

I can recover by going back to 3.001-14 which works well.

I did find a reference to this error in google but the issue there does not seem to apply here.